/*
 * validators: various validations functions
 *
 * isaddr(): check that an address is a dotted quad with valid IP numbers.
 * isaddrc(): check that an address is a dotted quad or a dotted quad with
 *            a fieldwidth.
 * isquad(): check that an address is a dotted quad.
 */
#ifndef _VALIDATORS_D
#define _VALIDATORS_D

#include <stdio.h>
#include <ctype.h>


extern char * isaddr(char *candidate, int *dummy);
extern char * isaddrc(char *candidate, int *fieldwidth);
extern char * isquad(char *candidate, int *dummy);

#endif/*_VALIDATORS_D*/
